--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: ARC4 methods A series of function to implement ARC4 encoding in Ruby
constants: []

full_name: PDF::Writer::ARC4
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: encrypt
- !ruby/object:RI::MethodSummary 
  name: init
- !ruby/object:RI::MethodSummary 
  name: prepare
name: ARC4
superclass: Object
